org.bouncycastle.jce.provider.symmetric

## Class Camellia

- java.lang.Object
- - org.bouncycastle.jce.provider.symmetric.Camellia

    public final class Camellia
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Camellia.AlgParamGen`
`static class` `Camellia.AlgParams`
`static class` `Camellia.CBC`
`static class` `Camellia.ECB`
`static class` `Camellia.KeyGen`
`static class` `Camellia.KeyGen128`
`static class` `Camellia.KeyGen192`
`static class` `Camellia.KeyGen256`
`static class` `Camellia.RFC3211Wrap`
`static class` `Camellia.Wrap`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`